/**
 * @desc JS实现url后拼接参数的转换
 * @param {string} url
 * @param {Object} obj {name: '笔者真帅',value: '666'}
 * @returns string
 */
// urlParams('https://www.baidu.com/?address=11111', {name: 'zhangsan', age: 18, token: 'test_123'});
// https://www.baidu.com/?address=11111&name=zhangsan&age=18&token=test_123
const urlParams = function(url, obj) {
  let result = '';
  let item;
  if (url.includes('?')) {
    for (item in obj) {
      if (obj[item] && String(obj[item])) {
        result += `&${item}=${obj[item]}`;
      }
    }
  } else {
    result += '?';
    let index = 0;
    for (item in obj) {
      if (obj[item] && String(obj[item])) {
        if (index === 0) {
          result += `${item}=${obj[item]}`;
        } else {
          result += `&${item}=${obj[item]}`;
        }
        index++;
      }
    }
  }
  return url + result;
};

export { urlParams };
